
%global meadversion 2.3.5
%global namedversion 2.3.5.Final-redhat-2
%global meadalpha .Final_redhat_2
%global meadrel .1
%global serial 2

%bcond_without mead
%bcond_with javadoc

%define maven_version 2.3.5.Final-redhat-2

Name:           hornetq
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Open source project to build a multi-protocol, embeddable, very high performance, clustered, asynchronous messaging system
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: hornetq-pom-2.3.5.Final-redhat-2-scm-sources.zip
Source101: hornetq-pom-2.3.5.Final-redhat-2-patches.zip
Source102: hornetq-jms-server-2.3.5.Final-redhat-2-sources.jar
Source103: hornetq-jms-server-2.3.5.Final-redhat-2-javadoc.jar
Source104: hornetq-jms-server-2.3.5.Final-redhat-2.pom
Source105: hornetq-jms-server-2.3.5.Final-redhat-2.jar
Source106: hornetq-jms-client-2.3.5.Final-redhat-2.pom
Source107: hornetq-jms-client-2.3.5.Final-redhat-2-javadoc.jar
Source108: hornetq-jms-client-2.3.5.Final-redhat-2.jar
Source109: hornetq-jms-client-2.3.5.Final-redhat-2-sources.jar
Source110: hornetq-jboss-as-integration-2.3.5.Final-redhat-2-sources.jar
Source111: hornetq-jboss-as-integration-2.3.5.Final-redhat-2.jar
Source112: hornetq-jboss-as-integration-2.3.5.Final-redhat-2.pom
Source113: hornetq-jboss-as-integration-2.3.5.Final-redhat-2-javadoc.jar
Source114: hornetq-commons-2.3.5.Final-redhat-2.jar
Source115: hornetq-commons-2.3.5.Final-redhat-2-sources.jar
Source116: hornetq-commons-2.3.5.Final-redhat-2.pom
Source117: hornetq-commons-2.3.5.Final-redhat-2-javadoc.jar
Source118: hornetq-ra-2.3.5.Final-redhat-2.jar
Source119: hornetq-ra-2.3.5.Final-redhat-2.pom
Source120: hornetq-ra-2.3.5.Final-redhat-2-javadoc.jar
Source121: hornetq-ra-2.3.5.Final-redhat-2-sources.jar
Source122: hornetq-server-2.3.5.Final-redhat-2.pom
Source123: hornetq-server-2.3.5.Final-redhat-2-sources.jar
Source124: hornetq-server-2.3.5.Final-redhat-2.jar
Source125: hornetq-server-2.3.5.Final-redhat-2-javadoc.jar
Source126: hornetq-pom-2.3.5.Final-redhat-2.pom
Source127: hornetq-spring-integration-2.3.5.Final-redhat-2-javadoc.jar
Source128: hornetq-spring-integration-2.3.5.Final-redhat-2-sources.jar
Source129: hornetq-spring-integration-2.3.5.Final-redhat-2.jar
Source130: hornetq-spring-integration-2.3.5.Final-redhat-2.pom
Source131: hornetq-journal-2.3.5.Final-redhat-2.jar
Source132: hornetq-journal-2.3.5.Final-redhat-2.pom
Source133: hornetq-journal-2.3.5.Final-redhat-2-sources.jar
Source134: hornetq-journal-2.3.5.Final-redhat-2-javadoc.jar
Source135: hornetq-core-client-2.3.5.Final-redhat-2-sources.jar
Source136: hornetq-core-client-2.3.5.Final-redhat-2-javadoc.jar
Source137: hornetq-core-client-2.3.5.Final-redhat-2.jar
Source138: hornetq-core-client-2.3.5.Final-redhat-2.pom
Source139: hornetq-native-2.3.5.Final-redhat-2.pom
Source140: hornetq-native-2.3.5.Final-redhat-2-sources.jar
Source141: hornetq-native-2.3.5.Final-redhat-2.jar
%endif

URL:            http://jboss.org/hornetq/

BuildRequires:       jpackage-utils

Requires:       jboss-common-core >= 0:2.2.14
Requires:       jboss-transaction-api_1.1_spec 
Requires:       jbossts >= 0:4.16.0

Requires(post):  jpackage-utils
Requires(postun):  jpackage-utils
Requires:       jpackage-utils

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root


%description
HornetQ is an open source project to build a multi-protocol, embeddable, very
high performance, clustered, asynchronous messaging system. HornetQ is the 
new ultra high performance enterprise grade messaging system from JBoss, 
sets a record breaking score in the SPECjms2007 industry standard benchmark 
for JMS messaging system performance.

%if %with javadoc
%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
%{summary}.
%endif

%prep

%build

%install
%{__rm} -rf %{buildroot}

# initial directories
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
%if %with javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}
%endif
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

%if %with javadoc
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -s %{name}-%{namedversion} %{name})
%endif

for i in hornetq-commons hornetq-core-client hornetq-jms-client hornetq-jms-server hornetq-journal \
   hornetq-ra hornetq-server hornetq-jboss-as-integration hornetq-spring-integration \
; do

# jar
install -p -m 644 %{_sourcedir}/$i-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/$i-%{namedversion}.jar
install -p -m 644 %{_sourcedir}/$i-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/$i-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && ln -s $i-%{namedversion}.jar $i.jar)
(cd %{buildroot}%{_javadir} && ln -s $i-%{namedversion}-sources.jar $i-sources.jar)

# javadoc
%if %with javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}/$i-%{namedversion}
unzip -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}/$i-%{namedversion} %{_sourcedir}/$i-%{namedversion}-javadoc.jar
rm -rf $RPM_BUILD_ROOT%{_javadocdir}/%{name}/$i-%{namedversion}/META-INF
(cd %{buildroot}%{_javadocdir}/%{name} && ln -s $i-%{namedversion} $i)
%endif

# poms
install -pD -T -m 644 %{_sourcedir}/$i-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-$i.pom

# depmaps
%add_to_maven_depmap org.hornetq ${i} %{namedversion} JPP ${i}

done

# parent pom
install -pD -T -m 644 %{_sourcedir}/hornetq-pom-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-hornetq-pom.pom
%add_to_maven_depmap org.hornetq hornetq-pom %{namedversion} JPP hornetq-pom

%clean
rm -Rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}*/*jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}
%endif

%changelog
* Mon Aug 19 2013 Permaine Cheung <pcheung@redhat.com> - 0:2.3.5-1.Final_redhat_1.1
- HornetQ_2_3_5_Final

* Wed Aug 14 2013 Permaine Cheung <pcheung@redhat.com> - 0:2.3.4-1.Final_redhat_1.1
- HornetQ_2_3_4_Final

* Fri Aug 09 2013 Hui Wang <huwang@redhat.com> - 2.3.3-1.Final_redhat_1.1
- Disable javadoc subpackage for Wrapper build

* Mon Jul 29 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.3.2-3.Final_redhat_5
- Fix jandex generation

* Mon Jul 22 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.3.2-2.Final_redhat_4
- BZ-986195

* Mon Jul 15 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.3.2-1.Final_redhat_1
- Upgrade to 2.3.2.Final

* Mon May 06 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.3.1-1.Final_redhat_1
- Upgrade to 2.3.1.Final

* Wed Apr 24 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.3.0-3.Final_redhat_1
- Upgrade to 2.3.0.Final

* Mon Apr 15 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.3.0-2.CR2_redhat_2
- BZ-923646

* Thu Mar 28 2013 Lin Gao <lgao@redhat.com> - 0:2.3.0-1.CR2-redhat-1
- Upgrade to 2.3.0.CR2

* Fri Mar 08 2013 Lin Gao <lgao@redhat.com> - 0:2.3.0-3.CR1-redhat-1
- Generate jandex index in jars

* Tue Feb 05 2013 Lin Gao <lgao@redhat.com> - 0:2.3.0-2.CR1-redhat-1
- Rebuild
- Change jar location.(place it in _javadir directly)
- Clean the build

* Tue Feb 05 2013 Lin Gao <lgao@redhat.com> - 0:2.3.0-1.CR1-redhat-1
- Upgrade to 2.3.0.CR1
- Convert to MEAD build

* Tue Nov 20 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.2.23-1.Final-redhat-1
- Upgrade to 2.2.23.Final

* Fri Oct 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.2.22-1.Final-redhat-1
- Upgrade to 2.2.22.Final

* Mon Oct 01 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.2.21-1.Final-redhat-1
- Upgrade to 2.2.21.Final

* Fri Aug 31 2012 Jyoti Tripathi <jtripath@redhat.com> - 0:2.2.19-1.Final-redhat-1
- Update vman patch

* Wed Aug 29 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.2.19-1.Final-redhat-1
- Upgrade to 2.2.19.Final

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.2.16-2.Final.3
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.2.16-2.Final.2
- Rebuild using cache signing

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.2.16-2.Final.1
- Rebuild using cache signing

* Tue May 16 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.2.16-2.Final
- Enable javadocs creation

* Tue May 01 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.2.16-1.Final
- Upgrade to 2.2.16.Final
- Add BR jboss-jaspi-api_1.0_spec
- Change BR jboss-jms-1.1-api to jboss-jms-api_1.1_spec

* Fri Mar 30 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.2.13-1.Final.2
- Fix Release

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.2.13-1.Final.1.1
- Rebuild using cache signing

* Tue Mar 06 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.2.13-1.Final.1
- Upgrade to 2.2.13.Final

* Mon Mar 05 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.2.12-1.Final.1
- Upgrade to 2.2.12.Final

* Wed Feb 15 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.2.11-1.Final.1
- Upgrade to 2.2.11.Final

* Fri Feb 03 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.2.10-1.Final.2
- Remove R: jboss-naming

* Wed Feb 01 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.2.10-1.Final.1
- Upgrade to 2.2.10.Final

* Fri Nov 11 2011 Weinan Li <weli@redhat.com> 0:2.2.8-2.CR2.2
- Version managed by vman

* Tue Nov 01 2011 Weinan Li <weli@redhat.com> 0:2.2.8-2.CR2.1
- Upgrade to 2.2.8-2.CR2

* Thu Sep 15 2011 Fernando Nasser <fnasser@redhat.com> 0:2.2.7-1
- Upgrade to 2.2.7.Final

* Wed Jun 22 2011 Fernando Nasser <fnasser@redhat.com> 0:2.2.5-1
- Upgrade to 2.2.5.GA

- Upgrade to 2.2.4.GA

* Tue May 17 2011 Fernando Nasser <fnasser@redhat.com> 0:2.2.4-1
- Upgrade to 2.2.4.GA

* Thu Apr 28 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.2.3-2
- Remove R: javacc

* Wed Apr 27 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.2.3-1
- Upgrade to 2.2.3.EAP.GA

* Tue Apr 05 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.2.2-2.2
- Fix dist in Release

* Tue Apr 05 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.2.2-2.1
- Install JDK5 compatible client jars in repolib

* Tue Mar 29 2011 Permaine Cheung <pcheung@redhat.com> 0:2.2.2-2
- Re-export

* Mon Mar 28 2011 Fernando Nasser <fnasser@redhat.com> 0:2.2.2-1
- Upgrade to 2.2.2.GA

* Tue Mar 15 2011 Martha Benitez <mbenitez@redhat.com> 0:2.2.1-1.GA.2
- Rebuild

* Tue Mar 15 2011 Martha Benitez <mbenitez@redhat.com> 0:2.2.1-1.GA.1
- 2.2.1.GA

* Tue Mar 08 2011 Fernando Nasser <fnasser@redhat.com> - 0:2.2.0-2.GA.2
- Rebuild for RHEL-6

* Wed Feb 23 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.2.0-2.GA.1
- Fix version

* Wed Feb 23 2011 Permaine Cheung <pcheung@redhat.com> 0:2.2-2.GA.0
- Rebuild

* Wed Feb 23 2011 Permaine Cheung <pcheung@redhat.com> 0:2.2-1.GA.0
- Upgrade to 2.2.GA
- Update patch0
- Package hornetq-eap-examples.zip

* Thu Feb 03 2011 Martha Benitez <mbenitez@redhat.com> 0:2.2.0-0.1.CR1.3
- Install JDK5 compatible client jars

* Tue Feb 01 2011 David Walluck <dwalluck@redhat.com> 0:2.2.0-0.1.CR1.2
- add patch to keep maven from going online for jar-rest
- install poms even if not generating repolib
- add workaround for thirdparty build on maven 2.0.8
- update jpp-depmap.xml to allow building on JPackage 6
- BuildRequires: jboss-ejb3-build >= 0:1.0.0
- Requires: jpackage-utils
- remove build root before install
- set LANG in case of unmappable characters

* Tue Feb 01 2011 Fernando nasser <fnasser@redhat.com> - 0:2.2.0-0.1.CR1.1
- Upgrade to 2.2.0.CR1

* Fri Jan 14 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.2.0-1.0
- Upgrade to 2.2.0
- Comment Patch0, remove-twitter.patch
- Add patch to remove resteasy, apiviz
- Bundle twitter4j-core
- Add BR aopalliance, jakarta-commons-pool, spring-core, spring-beans, spring-context, spring-jms

* Wed Aug 18 2010 Permaine Cheung <pcheung@redhat.com> - 0:2.1.2-1.Final.0
- Upgrade to 2.1.2.Final

* Wed Jun 16 2010 Permaine Cheung <pcheung@redhat.com> - 0:2.1.1-1.Final.0
- Upgrade to 2.1.1.Final

* Mon Jun 14 2010 Permaine Cheung <pcheung@redhat.com> - 0:2.1.0-2.Final.4
- add poms to main package

* Fri Jun 11 2010 David Walluck <dwalluck@redhat.com> 0:2.1.0-2.Final.3
- install poms to system as well
- fix component-info.xml in repolib

* Fri Jun 11 2010 Permaine Cheung <pcheung@redhat.com> - 0:2.1.0-2.Final.2
- Fix repolib

* Fri Jun 11 2010 Permaine Cheung <pcheung@redhat.com> - 0:2.1.0-2.Final.1
- Call buildmagic plugin during the build

* Fri Jun 04 2010 Permaine Cheung <pcheung@redhat.com> - 0:2.1.0-2.Final
- Build from 2.1.0.Final tag

* Mon May 31 2010 Permaine Cheung <pcheung@redhat.com> - 0:2.1.0-1.CR1
- Build from 2.1.0.CR1 tag

* Wed May 12 2010 Permaine Cheung <pcheung@redhat.com> - 0:2.0.0-1.1.CR3
- Make it a noarch build

* Tue Apr 27 2010 Permaine Cheung <pcheung@redhat.com> - 0:2.0.0-1.CR3
- First release
